Bug 1267857 - JBPM-4785 data mappper escapes special chars in CDATA in process XML
Summary: JBPM-4785 data mappper escapes special chars in CDATA in process XML
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ER4
: 6.2.0
Assignee: Tihomir Surdilovic
QA Contact: Marián Macik
URL:
Whiteboard:
: 1267859 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 08:50 UTC by Jeremy Lindop
Modified: 2020-03-27 19:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 19:33:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker JBPM-4785 0 Major Resolved data mappper escapes special chars in process XML 2015-11-12 15:40:13 UTC

Description Jeremy Lindop 2015-10-01 08:50:58 UTC
Description of problem:
Te data mapper is putting special characters (like urls) escaped in the process XML (but since they are in a CDATA section they shouldn't).

Example:

Put into a constant for an Input Assignment in the data mapper: http://api.zippopotam.us/us/{zip}

Stored in XML: http%3A%2F%2Fapi.zippopotam.us%2Fus%2F%7Bzip%7D

Version-Release number of selected component (if applicable):
6.3.0.Final Community

How reproducible:


Steps to Reproduce:
1. Create a BP with a User Task
2. Add a data input to the task
3. Assign the constant http://api.zippopotam.us/us/{zip} to the input
4. View the process BPMN2 - the URl is URLEncoded in a CDATA section

Comment 1 Jeremy Lindop 2015-10-01 08:56:14 UTC
*** Bug 1267859 has been marked as a duplicate of this bug. ***

Comment 3 Jeremy Lindop 2015-10-01 14:40:23 UTC
BZ1267857 / JBPM-4785 Fix problem assigning URLs to data inputs in data mapper

master: https://github.com/droolsjbpm/jbpm-designer/commit/5ecaa0ec19d597f0889d6ee0ca13c2f2ba0893be
6.3.X: https://github.com/droolsjbpm/jbpm-designer/commit/219fff9a222f637f51577aef8ca685f305143523

Note: this undoes the previous fix for 
https://bugzilla.redhat.com/show_bug.cgi?id=1244966
because that fix created a bigger problem than it solved.
https://github.com/droolsjbpm/jbpm-designer/commit/ffb3f40949263affa3b0589cb2b7c9ed64b0bb05
https://github.com/droolsjbpm/jbpm-designer/commit/1bd048b908e4e0a434ae0e92632fc45961b136f4

https://bugzilla.redhat.com/show_bug.cgi?id=1268005 has been created to cover BZ1244966 and the wider issue of handling our internal markup characters in constants.

Comment 4 JBoss JIRA Server 2015-10-01 14:41:41 UTC
Jeremy Lindop <jlindop@redhat.com> updated the status of jira JBPM-4785 to Coding In Progress

Comment 5 JBoss JIRA Server 2015-10-01 17:11:19 UTC
Jeremy Lindop <jlindop@redhat.com> updated the status of jira JBPM-4785 to Resolved

Comment 6 Marián Macik 2015-10-23 13:24:44 UTC
Verified with 6.2.0.ER4.


Note You need to log in before you can comment on or make changes to this bug.